Subject: Re: [PATCH 1/2] Add MPC52xx Interrupt controller support for ARCH=powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 31 Oct 2006 19:44:51 +1100

> In my point of view, the Firmware main task is to init the HW. I do not 
> think it's a good idea to overwrite firmware hw settings in the common 
> code. In my mind, this should be done in platform specific area.

The setting of interrupt polarity is a matter that is at the edge
between firmware and OS responsibility. Remember that a lot of embedded
platforms have close to no useful firmware too.

There are reasons why there is an API for those. As long as the
device-tree contains correct polarity, it should be fine to let the pic
driver to the job as told.

Of course, if your device-tree has bugs, then adding that feature
afterward will suddenly break efika ...

Ben.